Support Forums

.net 4.5 assembly with PrimalForms2011

Archived support forum for customers who once purchased a PrimalForms product license. This forum is locked.
User avatar
Posts: 1
Joined: Tue Nov 22, 2011 9:20 pm

.net 4.5 assembly with PrimalForms2011

Postby » Tue Jun 23, 2015 3:49 am


I am using some powershell code inside primalforms where I need acces to a .net 4.5-assembly. As far as I run the file in a powershell console or in primal forms with "run in console" I can succesfully load the assembly (see screenshot. I have attached a screenshot of the code because I was not able to insert this code here. I got an error: "you can´t have off-site URLS...").

If I convert the pff-file to a EXE-File or I run in primalforms with "run file" I will get an error, that the assembly was not found.
I have already tried the new trial of "powershell studio 2015" and there It´s working if i compile the pff to exe. But I need to get it running with our old licensed version "primal forms 2011".

Any ideas?
assembly.jpg (10.16 KiB) Viewed 2127 times
User avatar
SAPIEN Support Forums
Posts: 945
Joined: Wed Dec 03, 2014 2:26 pm

.net 4.5 assembly with PrimalForms2011

Postby SAPIEN Support Forums » Tue Jun 23, 2015 3:49 am

This is an automated post. A real person will respond soon.

Thank you for posting,

Did you remember to include the following?
    1. Product, version and build (e.g. Product: PrimalForms 2011, Version & Build: 1.0.36. Version and build information can be found in the product's About box accessed by clicking the icon in the upper right hand corner of the ribbon.)
    2. Specify if you are running a 32 or 64 bit version
    3. Specify your operating system and if it is 32 or 64 bit.
    4. Attach a screenshot if your issue can be seen on the screen
    5. Attach a zip file if you have multiple files (crash reports, log entries, etc.) related to your issue.

If not, please take a moment to edit your original post or reply to this one.

*** Make sure you do not post any licensing information ***
User avatar
Posts: 4391
Joined: Thu Aug 18, 2011 4:56 am

Re: .net 4.5 assembly with PrimalForms2011

Postby davidc » Tue Jun 23, 2015 8:01 am

PrimalForms 2011 is was written in .NET 2.0 and therefore cannot load newer assemblies of later .NET platforms. This includes PrimalForms 2011's packager.

SAPIEN Technologies, Inc.

Return to “PrimalForms”

Who is online

Users browsing this forum: No registered users and 1 guest